<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddProcessNodeServiceReq StructType
 * @subpackage Structs
 */
class AddProcessNodeServiceReq extends APIRequest
{
    /**
     * The processNodeService
     * @var XProcessNodeService
     */
    public $processNodeService;
    /**
     * Constructor method for AddProcessNodeServiceReq
     * @uses AddProcessNodeServiceReq::setProcessNodeService()
     * @param XProcessNodeService $processNodeService
     */
    public function __construct(XProcessNodeService $processNodeService = null)
    {
        $this
            ->setProcessNodeService($processNodeService);
    }
    /**
     * Get processNodeService value
     * @return XProcessNodeService|null
     */
    public function getProcessNodeService()
    {
        return $this->processNodeService;
    }
    /**
     * Set processNodeService value
     * @param XProcessNodeService $processNodeService
     * @return AddProcessNodeServiceReq
     */
    public function setProcessNodeService(XProcessNodeService $processNodeService = null)
    {
        $this->processNodeService = $processNodeService;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddProcessNodeServiceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
